package cn.reghao.tnb.file.app.zdisk.model.vo;

import cn.reghao.tnb.file.app.zdisk.model.po.DiskFile;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @author reghao
 * @date 2023-11-14 10:55:43
 */
@Setter
@Getter
public class FolderTree {
    private String pid;
    private String fileId;
    private String label;
    private String value;
    private List<FolderTree> children;

    public FolderTree(DiskFile diskFile) {
        this.pid = diskFile.getPid();
        this.fileId = diskFile.getFileId();
        this.label = diskFile.getPath();
        this.value = diskFile.getFilename();
        this.children = new ArrayList<>();
    }
}
